UpdateBaremetalPxeServer
UpdateBaremetalPxeServer
PUT
/zstack/v1/baremetal/pxeservers/{uuid}/actionsOperation ID
UpdateBaremetalPxeServerSince
2.6.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe UUID of the deployment server.
Body Fields
nameStringOptional. The name of the deployment server.
descriptionStringOptional. The detailed description of the deployment server.
dhcpInterfaceStringOptional. The DHCP NIC of the deployment server.
dhcpRangeBeginStringOptional. The starting IP address that DHCP assigns to a bare metal instance.
dhcpRangeEndStringOptional. The ending IP address that DHCP assigns to a bare metal instance.
